---
title: SVGTRefElement
slug: Web/API/SVGTRefElement
tags:
  - API
  - Deprecated
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}{{deprecated_header}}</div>

<p>The <strong><code>SVGTRefElement</code></strong> interface corresponds to the {{SVGElement("tref")}} elements.</p>

<p>Object-oriented access to the attributes of the {{SVGElement("tref")}} element via the SVG DOM is not possible.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface has no properties but inherits properties from its parent, {{domxref("</em>SVGTextPositioningElement<em>")}} and implements properties from {{domxref("</em>SVGURIReference<em>")}}.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods but inherits methods from its parent, {{domxref("</em>SVGTextPositioningElement<em>")}} and implements properties from {{domxref("</em>SVGURIReference<em>")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#InterfaceSVGTRefElement", "SVGTRefElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGTRefElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("tref")}}</li>
</ul>
